{
  "name": "magic-erp",
  "version": "0.0.1",
  "description": "magic-erp 的后台管理",
  "author": "Pan <panfree23@gmail.com>, magic-erp",
  "private": true,
  "scripts": {
    "dev": "concurrently \"node ./ui-watcher.js\" \"cross-env BABEL_ENV=development webpack-dev-server --inline --progress --config build/webpack.dev.conf.js\" --kill-others",
    "build:test": "yarn upgrade ui-components ui-domain ui-utils && cross-env NODE_ENV=test env_config=test node build/build.js",
    "build:prod": "yarn upgrade ui-components ui-domain ui-utils && cross-env NODE_ENV=production env_config=prod node build/build.js",
    "lint": "eslint --ext .js,.vue src",
    "test": "npm run lint"
  },
  "dependencies": {
  "axios": "^0.21.1",
  "babel-polyfill": "^6.26.0",
  "big-integer": "^1.6.49",
  "clipboard": "^2.3.0",
  "codemirror": "^5.62.2",
  "dropzone": "^5.9.3",
  "echarts": "^5.2.2",
  "element-ui": "^2.15.8",
  "file-saver": "^2.0.5",
  "font-awesome": "^4.7.0",
  "html2canvas": "^1.3.2",
  "https": "^1.0.0",
  "jquery": "^3.6.0",
  "js-cookie": "^3.0.1",
  "js-file-download": "^0.4.12",
  "js-md5": "^0.7.3",
  "jsonlint": "^1.6.2",
  "jszip": "^3.7.1",
  "jwt-decode": "^3.1.2",
  "long": "^4.0.0",
  "mockjs": "^1.1.0",
  "node-sass": "^6.0.1",
  "normalize.css": "^8.0.2",
  "nprogress": "^0.2.0",
  "particles.js": "^2.0.0",
  "print-js": "^1.6.0",
  "qrcode.vue": "^2.0.0",
  "qrcodejs2": "^0.0.2",
  "qs": "^6.10.1",
  "screenfull": "^5.1.0",
  "showdown": "^1.9.1",
  "sortablejs": "^1.14.0",
  "ui-components": "file:../ui-components",
  "ui-domain": "file:../ui-domain",
  "ui-utils": "file:../ui-utils",
  "uuid": "^8.3.2",
  "v-viewer": "^2.0.0",
  "vue": "^2.6.14",
  "vue-awesome-swiper": "^4.0.0",
  "vue-bus": "^1.2.1",
  "vue-clipboard2": "^0.3.3",
  "vue-count-to": "^1.0.13",
  "vue-drag-resize": "^1.6.0",
  "vue-draggable-resizable": "^2.3.0",
  "vue-i18n": "^8.24.4",
  "vue-lazyload": "^1.3.3",
  "vue-multiselect": "^2.1.6",
  "vue-router": "^3.5.3",
  "vue-splitpane": "^1.0.4",
  "vuedraggable": "^2.24.3",
  "vuex": "^3.6.2",
  "xlsx": "^0.17.0"
},
"devDependencies": {
  "autoprefixer": "^10.2.6",
  "babel-core": "^6.26.3",
  "babel-eslint": "^10.1.0",
  "babel-helper-vue-jsx-merge-props": "^2.0.3",
  "babel-loader": "^8.2.2",
  "babel-plugin-component": "^1.1.1",
  "babel-plugin-dynamic-import-node": "^2.3.3",
  "babel-plugin-istanbul": "^6.1.1",
  "babel-plugin-syntax-dynamic-import": "^6.18.0",
  "babel-plugin-syntax-jsx": "^6.18.0",
  "babel-plugin-transform-decorators-legacy": "^1.3.5",
  "babel-plugin-transform-runtime": "^6.23.0",
  "babel-plugin-transform-vue-jsx": "^3.7.1",
  "babel-preset-env": "^1.7.0",
  "babel-preset-stage-2": "^6.24.1",
  "chalk": "^4.1.2",
  "chokidar": "^3.5.2",
  "compression-webpack-plugin": "^7.2.0",
  "concurrently": "^6.2.0",
  "copy-webpack-plugin": "^8.1.1",
  "cross-env": "^7.0.3",
  "css-loader": "^5.2.6",
  "eslint": "^7.32.0",
  "eslint-friendly-formatter": "^5.0.0",
  "eslint-loader": "^4.0.2",
  "eslint-plugin-html": "^6.1.0",
  "extract-text-webpack-plugin": "^4.0.0-beta.0",
  "file-loader": "^6.2.0",
  "friendly-errors-webpack-plugin": "^1.7.0",
  "fs-extra": "^10.0.0",
  "html-webpack-plugin": "^5.3.2",
  "node-notifier": "^10.0.0",
  "optimize-css-assets-webpack-plugin": "^5.0.4",
  "ora": "^5.4.1",
  "portfinder": "^1.0.28",
  "postcss-import": "^14.0.2",
  "postcss-loader": "^6.1.0",
  "psl": "^1.8.0",
  "pushstate-server": "^7.0.0",
  "rimraf": "^3.0.2",
  "sass-loader": "^12.1.0",
  "script-loader": "^0.7.2",
  "semver": "^7.3.5",
  "shelljs": "^0.8.4",
  "svg-sprite-loader": "^6.0.0",
  "uglifyjs-webpack-plugin": "^2.2.0",
  "url-loader": "^4.1.1",
  "vue-loader": "^15.9.8",
  "vue-style-loader": "^4.1.3",
  "vue-template-compiler": "^2.6.14",
  "webpack": "^5.45.1",
  "webpack-bundle-analyzer": "^4.4.2",
  "webpack-dev-server": "^3.11.2",
  "webpack-merge": "^5.8.0"
},
  "engines": {
    "node": ">= 4.0.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
